POST
/oauth/tokenToken endpoint
Requires Bearer authentication. See Authentication.
Request body
| Field | Type | Description |
|---|---|---|
grant_typerequired | "authorization_code" | "refresh_token" | "urn:ietf:params:oauth:grant-type:device_code" | — |
code | string | — |
code_verifier | string | — |
redirect_uri | string | — |
refresh_token | string | — |
device_code | string | — |
client_idrequired | string | — |
resource | string | — |
Responses
200 200| Field | Type | Description |
|---|---|---|
access_tokenrequired | string | — |
token_typerequired | "Bearer" | — |
expires_inrequired | number | — |
refresh_token | string | — |
scoperequired | string | — |
400 400| Field | Type | Description |
|---|---|---|
errorrequired | string | — |
error_description | string | — |
Errors
Errors use the standard envelope. See Errors for codes, status mappings, and retry semantics.